| Bsoft 1.9 Bernard's software package

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Functions
pngwtran.c File Reference
`#include "pngpriv.h"`

Go to the source code of this file.

## Functions
void | png_do_write_transformations (png_structp png_ptr)
void | png_do_pack (png_row_infop row_info, png_bytep row, png_uint_32 bit_depth)
void | png_do_shift (png_row_infop row_info, png_bytep row, png_const_color_8p bit_depth)
void | png_do_write_swap_alpha (png_row_infop row_info, png_bytep row)
void | png_do_write_invert_alpha (png_row_infop row_info, png_bytep row)
void | png_do_write_intrapixel (png_row_infop row_info, png_bytep row)

## Function Documentation

void png_do_pack | ( | png_row_infop | row_info,
|  | png_bytep | row,
|  | png_uint_32 | bit_depth
| ) |  |

Definition at line 100 of file pngwtran.c.

void png_do_shift | ( | png_row_infop | row_info,
|  | png_bytep | row,
|  | png_const_color_8p | bit_depth
| ) |  |

Definition at line 245 of file pngwtran.c.

void png_do_write_intrapixel | ( | png_row_infop | row_info,
|  | png_bytep | row
| ) |  |

Definition at line 570 of file pngwtran.c.

void png_do_write_invert_alpha | ( | png_row_infop | row_info,
|  | png_bytep | row
| ) |  |

Definition at line 474 of file pngwtran.c.

void png_do_write_swap_alpha | ( | png_row_infop | row_info,
|  | png_bytep | row
| ) |  |

Definition at line 380 of file pngwtran.c.

void png_do_write_transformations | ( | png_structp | png_ptr | ) |

Definition at line 22 of file pngwtran.c.